
	;; CONSTANTES DEL SOPORTE DE MAPA DE TILES ---------------------------------------------

	LET	LOOP_TILEMAP = 1			;; indica si el mapeado de tiles hace loop
	LET	DINAMIC_PALETTE_CHANGES = #f0		;; indica si soporta cambios de paleta dinamicos en el mapeado (el numero indica el primer valor reservado para los codigos de cambio de paleta)

TILE_LEN			EQU	2*8						;; tamanyo en bytes de 1 tile
TILEMAP_COLUMN_LEN		EQU	4						;; tamanyo de 1 columna de tiles en el mapeado
TILECOLUMN_SUBMAP_0_LEN		EQU	5						;; numero de caracteres del primer submapa de una columna
TILECOLUMN_SUBMAP_1_LEN		EQU	7						;; numero de caracteres del segundo submapa de una columna
TILECOLUMN_SUBMAP_2_LEN		EQU	8						;; numero de caracteres del tercer submapa de una columna

DECOMP_TILE_MAP_W		EQU	64						;; ancho en tiles (potencia de 2) del buffer del mapa descomprimido (pantalla actual)
DECOMP_TILE_MAP_H		EQU	32						;; alto en tiles (potencia de 2) del buffer del mapa descomprimido (pantalla actual)
DECOMP_TILE_MAP_SIZE		EQU	DECOMP_TILE_MAP_W * DECOMP_TILE_MAP_H		;; tamanyo en bytes del buffer del mapa descomprimido (pantalla actual)
DECOMP_TILE_RIGHT_COLUMN_OFFSET	EQU	GAMEAREA_W * DECOMP_TILE_MAP_H			;; valor que se suma a la posicion en DECOMP_TILE_MAP para tener el puntero a la columna de la der
DECOMP_TILE_LEFT_COLUMN_OFFSET	EQU	DECOMP_TILE_MAP_SIZE - DECOMP_TILE_MAP_H	;; valor que se suma a la posicion en DECOMP_TILE_MAP para tener el puntero a la columna de la izq

DIRTY_TILE_RECT_SIZE		EQU	6						;; numero de bytes que definen un rectangulo de tiles sucio
DIRTY_TILES_RECT_LEN		EQU	#80						;; tamanyo del buffer para guardar rectangulos de tiles sucios del mapeado (usados por ejemplo para borrar los sprites)
											;; este buffer incluye la longitud de la pila porque actua de pila provisional
N_DIRTY_TILES_RECT_MAX		EQU	DIRTY_TILES_RECT_LEN - MY_STACK_LEN / DIRTY_TILE_RECT_SIZE ;; numero maximo de rectangulos de tiles sucios que caben en el buffer
