
	;; MACROS GENERICAS PARA EL CODIGO =====================================================

	;; Suma A a BC

	MACRO	ADD_____BC_A	;; 5c

	add	c
	ld	c,a
	jr	nc,$+3
	inc	b

	MEND

	;; Suma A a DE

	MACRO	ADD_____DE_A	;; 5c

	add	e
	ld	e,a
	jr	nc,$+3
	inc	d

	MEND

	;; Suma A a HL

	MACRO	ADD_____HL_A	;; 5c

	add	l
	ld	l,a
	jr	nc,$+3
	inc	h

	MEND

	;; Extiende el signo de E en DE

	MACRO	EXT_____DE	;; 7c

	ld	d,0
	bit	7,e
	jr	z, $+3
	dec	d

	MEND

	;; Extiende el signo de L en HL

	MACRO	EXT_____HL	;; 7c

	ld	h,0
	bit	7,l
	jr	z, $+3
	dec	h

	MEND

	;; Extiende el signo de C en BC

	MACRO	EXT_____BC	;; 7c

	ld	b,0
	bit	7,c
	jr	z, $+3
	dec	b

	MEND

	;; Suma 2*A a DE

	MACRO	ADD_____DE_2A	;; 9c

	add	a
	jr	nc, $+3
	inc	d
	add	e
	jr	nc, $+3
	inc	d
	ld	e,a

	MEND

	;; DE = A * 32

	MACRO	LD______DE_32A	; 11c

	rrca
	rrca
	rrca
	ld	d,a
	and	%11100000
	ld	e,a
	ld	a,%00011111
	and	d
	ld	d,a

	MEND

	;; HL = DE

	MACRO	LD______HL_DE	;; 2c

	ld	h,d
	ld	l,e

	MEND

	;; DE = HL

	MACRO	LD______DE_HL	;; 2c

	ld	d,h
	ld	e,l

	MEND

	;; HL = BC

	MACRO	LD______HL_BC	;; 2c

	ld	h,b
	ld	l,c

	MEND

	;; BC = HL

	MACRO	LD______BC_HL	;; 2c

	ld	b,h
	ld	c,l

	MEND

	;; DE = BC

	MACRO	LD______DE_BC	;; 2c

	ld	d,b
	ld	e,c

	MEND

	;; BC = DE

	MACRO	LD______BC_DE	;; 2c

	ld	b,d
	ld	c,e

	MEND
