
	;; CONSTANTES DE PANTALLA =====================================================

CURRENT_R7_VALUE		EQU	#1e					;; valor al comienzo del CRTC R7 de la pantalla standar

SCOREBOARD_SCREEN_MODE		EQU	1					;; modo de pantalla del marcador
SCOREBOARD_W			EQU	50					;; ancho del marcador en chars
SCOREBOARD_H			EQU	20					;; alto del marcador en chars (de 2 pixeles de alto)
SCOREBOARD_SCREEN_SIZE		EQU	SCOREBOARD_W * 2 * SCOREBOARD_H + #800	;; tamanyo total del marcador #fa8 (4008)
SCOREBOARD_SCREEN_ADR		EQU	#4000					;; direccion de memoria del marcador (de #4000 a #4FE7)
SCOREBOARD_SCREEN_R12_L		EQU 	SCOREBOARD_SCREEN_ADR / #200 AND %011
SCOREBOARD_SCREEN_R12 		EQU 	SCOREBOARD_SCREEN_ADR / #400 AND %0110000 OR SCOREBOARD_SCREEN_R12_L	;; valor para el R12 de la direccion de memoria del marcador
SCOREBOARD_SCREEN_R13 		EQU 	SCOREBOARD_SCREEN_ADR / 2 AND #FF					;; valor para el R13 de la direccion de memoria del marcador


GAMEAREA_SCREEN_MODE		EQU	0					;; modo de pantalla del area de juego
GAMEAREA_W			EQU	51					;; ancho del area de juego en chars
GAMEAREA_H			EQU	20					;; alto del area de juego en chars
GAMEAREA_LEFT_MARGIN		EQU	2					;; chars de margen de pantalla no visible por la izquierda
GAMEAREA_W_BYTE			EQU	GAMEAREA_W * 2				;; ancho en bytes
GAMEAREA_W_PIXEL		EQU	GAMEAREA_W_BYTE * 2			;; ancho en pixeles
GAMEAREA_H_PIXEL		EQU	GAMEAREA_H * 8				;; alto en pixeles
GAMEAREA_CENTER_X_PIXEL		EQU	GAMEAREA_W_PIXEL / 2			;; posicion del centro de pantalla en pixeles
GAMEAREA_SCREEN0_ADR		EQU	#C000					;; direccion de memoria del primer buffer (doble buffer)
GAMEAREA_SCREEN1_ADR		EQU	#8000					;; direccion de memoria del segundo buffer (doble buffer)
GAMEAREA_SCREEN_SW		EQU	GAMEAREA_SCREEN0_ADR - GAMEAREA_SCREEN1_ADR ;; diferencia entre las direcciones de ambos buffers
GAMEAREA_SCREEN_R12		EQU	GAMEAREA_SCREEN0_ADR / #400		;; valor para el R12 de la direccion de memoria del area de juego (primer buffer)
GAMEAREA_SCREEN_R12_SW		EQU	GAMEAREA_SCREEN_SW / #400		;; diferencia del valor de R12 para conmutar entre ambos buffers