
	;; CONSTANTES DE SPRITE ---------------------------------------------

				;; Offsets de estructura de datos de sprites

spr_x_scr_off			EQU	0				;; +0	.w
spr_y_scr_off			EQU	spr_x_scr_off + 2		;; +2	.b
spr_draw_mode_off		EQU	spr_y_scr_off + 1		;; +3	.b
spr_frames_off			EQU	spr_draw_mode_off + 1		;; +4	.w
spr_anims_off			EQU	spr_frames_off + 2		;; +6	.w
spr_anim_off			EQU	spr_anims_off + 2		;; +8	.b
spr_sec_off			EQU	spr_anim_off + 1		;; +9	.b
spr_width_off			EQU	spr_sec_off + 1			;; +10	.b
spr_height_off			EQU	spr_width_off + 1		;; +11	.b
spr_tile_width_off		EQU	spr_height_off + 1		;; +12	.b	; puntero al buffer donde guarda el fondo del sprite
spr_pivot_x_off			EQU	spr_tile_width_off + 1		;; +13	.b
spr_pivot_y_off			EQU	spr_pivot_x_off + 1		;; +14	.b
spr_current_anim_off		EQU	spr_pivot_y_off + 1		;; +15	.w	; cache
spr_current_frame_off		EQU	spr_current_anim_off + 2	;; +17	.w	; cache
spr_extends_off			EQU	spr_current_frame_off + 2	;; +19

				;; modos de dibujado de los sprites
SPRITE_DRAW_MODE_OPAQUE		EQU	drawSprite_mode_opaque AND #ff	;; sin marcara
SPRITE_DRAW_MODE_MSK		EQU	drawSprite_mode_msk AND #ff	;; con mascara
SPRITE_DRAW_MODE_AUTO		EQU	drawSprite_mode_auto AND #ff	;; sin mascara si el fondo es todo color 0

SPRITE_SIZE_OFF			EQU	#10
SPRITE_TYPE_OFF			EQU	SPRITE_SIZE_OFF / 2
SPRITE_BYTE_OFF			EQU	SPRITE_TYPE_OFF / 2

MASKED_SPRITE_OFF		EQU	SPRITE_TYPE_OFF * 0
OPAQUE_SPRITE_OFF		EQU	SPRITE_TYPE_OFF * 1

	;; ANCHOS DE SPRITES SOPORTADOS

SPRITE_ROUTINES_ALIGN		EQU	SPRITE_SIZE_OFF * 1		;; para 1 solo ancho de sprite soportado
;SPRITE_ROUTINES_ALIGN		EQU	SPRITE_SIZE_OFF * 2		;; para 2 anchos de sprite soportados
;SPRITE_ROUTINES_ALIGN		EQU	SPRITE_SIZE_OFF * 4		;; para 3 anchos de sprite soportados
;SPRITE_ROUTINES_ALIGN		EQU	SPRITE_SIZE_OFF * 4		;; para 4 anchos de sprite soportados

	LET	WIDTH_1B_SUPPORT	= 0
	LET	WIDTH_2B_SUPPORT	= 0
	LET	WIDTH_4B_SUPPORT	= 0
	LET	WIDTH_6B_SUPPORT	= 1


	LET	_SPRITE_W_MAX	= 0

	LET	SPRITE_4W	= 0 * SPRITE_SIZE_OFF
	LET	SPRITE_8W	= 1 * SPRITE_SIZE_OFF
	LET	SPRITE_16W	= 2 * SPRITE_SIZE_OFF
	LET	SPRITE_24W	= 3 * SPRITE_SIZE_OFF

	IF	WIDTH_1B_SUPPORT
	LET	_SPRITE_W_MAX	= _SPRITE_W_MAX + SPRITE_SIZE_OFF
	ENDIF

	IF	WIDTH_2B_SUPPORT
	LET	SPRITE_8W	= _SPRITE_W_MAX
	LET	_SPRITE_W_MAX	= _SPRITE_W_MAX + SPRITE_SIZE_OFF
	ENDIF

	IF	WIDTH_4B_SUPPORT
	LET	SPRITE_16W	= _SPRITE_W_MAX
	LET	_SPRITE_W_MAX	= _SPRITE_W_MAX + SPRITE_SIZE_OFF
	ENDIF

	IF	WIDTH_6B_SUPPORT
	LET	SPRITE_24W	= _SPRITE_W_MAX
	LET	_SPRITE_W_MAX	= _SPRITE_W_MAX + SPRITE_SIZE_OFF
	ENDIF

	; ...

MAX_SPRITE_H			EQU	40				;; altura maxima de un sprite en pixeles

NEXT_SCANLINE_MOD		EQU	GAMEAREA_W_BYTE + #c000

