
	MACRO	OUT_C_0			; 4c

		defb 	#ed,#71		; 4c 		out (c),0		 

	MEND

	; Establece en valor a un registro del CRTC

	MACRO	SET_CRTC_REG	_reg, _value	; 14c

		ld	bc,#bc00+_reg	; 3c
		out	(c),c		; 4c

		IF	_value

		ld	bc,#bd00+_value	; 3c
		out	(c),c		; 4c

		ELSE

		inc	b
		OUT_C_0

		ENDIF

	MEND

	; Establece el valor de A a un registro del CRTC

	MACRO	SET_CRTC_REG_A	_reg	; 12c

		ld	bc,#bc00+_reg	; 3c
		out	(c),c		; 4c
		inc	b		; 1c
		out	(c),a		; 4c

	MEND

	; Pone a 0 un registro del CRTC

	MACRO	SET_CRTC_REG_TO_ZERO	_reg	; 12c

		ld	bc,#bc00+_reg	; 3c
		out	(c),c		; 4c
		inc	b		; 1c
		OUT_C_0

	MEND

	; Establece el valor de HL al par de registro del CRTC 12 y 13

	MACRO	SET_CRTC_REG_12_13_FROM_HL	; 23c

		ld	bc,#bc0c	; 3c
		out	(c),c		; 4c
		inc	b		; 1c
		out	(c),h		; 4c	reg12
		dec	b		; 1c
		inc	c		; 1c
		out	(c),c		; 4c
		inc	b		; 1c
		out	(c),l		; 4c	reg13

	MEND
