
	; Checkea la memoria

	; Salida
	; 	Flag C = 1, no tiene memoria extendida
	;	A = primer banco (#0,#8,#10,#18,#20,#28,#30,#38)
	;	* Pokea en #C7D0 (en memoria base y en el primer banco de memoria extendida que encuentra)

check_mem
	ld	hl,#c000+2000	; en zona de memoria de video no visible
	ld	a,#c1

	ld	d,a
	ld	bc,#7fc0
	out	(c),c

	ld	(hl),c
check_mem_loop
	out	(c),a

	ld	(hl),a

	out	(c),c

	cp	(hl)
	jr	nz, check_mem_ok

	add	8
	jr	nc, check_mem_loop

	; no tiene memoria extendida

	scf
	ret

check_mem_ok
	sub	d	; A = #0,#8,#10,#18,#20,#28,#30,#38
	ret
