
	; CODIGOS DE ESTADO DEL TECLADO

NO_PRESSED_KEYCODE	EQU	0
JUST_PRESSED_KEYCODE	EQU	1
JUST_RELEASED_KEYCODE	EQU	2
KEEP_PRESSED_KEYCODE	EQU	3

	; MACROS DE COMPROBACION DE TECLAS

	; ESC

	MACRO	CHECK_ESC_KEY
		ld	a,(keymap + 8)	; 4c
		bit	2,a		; 2c
	MEND

	; 1

	MACRO	CHECK_1_KEY
		ld	a,(keymap + 8)	; 4c
		bit	0,a		; 2c
	MEND

	; 2

	MACRO	CHECK_2_KEY
		ld	a,(keymap + 8)	; 4c
		bit	1,a		; 2c
	MEND

	; 3

	MACRO	CHECK_3_KEY
		ld	a,(keymap + 7)	; 4c
		bit	1,a		; 2c
	MEND

	; 4

	MACRO	CHECK_4_KEY
		ld	a,(keymap + 7)	; 4c
		bit	0,a		; 2c
	MEND

	; 5

	MACRO	CHECK_5_KEY
		ld	a,(keymap + 6)	; 4c
		bit	1,a		; 2c
	MEND

	; 6

	MACRO	CHECK_6_KEY
		ld	a,(keymap + 6)	; 4c
		bit	0,a		; 2c
	MEND

	; 7

	MACRO	CHECK_7_KEY
		ld	a,(keymap + 5)	; 4c
		bit	1,a		; 2c
	MEND

	; 8

	MACRO	CHECK_8_KEY
		ld	a,(keymap + 5)	; 4c
		bit	0,a		; 2c
	MEND

	; F1

	MACRO	CHECK_F1_KEY
		ld	a,(keymap + 1)	; 4c
		bit	5,a		; 2c
	MEND

	; F2

	MACRO	CHECK_F2_KEY
		ld	a,(keymap + 1)	; 4c
		bit	6,a		; 2c
	MEND

	; F3

	MACRO	CHECK_F3_KEY
		ld	a,(keymap + 0)	; 4c
		bit	5,a		; 2c
	MEND

	; F4

	MACRO	CHECK_F4_KEY
		ld	a,(keymap + 2)	; 4c
		bit	4,a		; 2c
	MEND

	; F5

	MACRO	CHECK_F5_KEY
		ld	a,(keymap + 1)	; 4c
		bit	4,a		; 2c
	MEND

	; F6

	MACRO	CHECK_F6_KEY
		ld	a,(keymap + 0)	; 4c
		bit	4,a		; 2c
	MEND

	; F7

	MACRO	CHECK_F7_KEY
		ld	a,(keymap + 1)	; 4c
		bit	2,a		; 2c
	MEND

	; F8

	MACRO	CHECK_F8_KEY
		ld	a,(keymap + 1)	; 4c
		bit	3,a		; 2c
	MEND

	; CONTROL

	MACRO	CHECK_CONTROL_KEY
		ld	a,(keymap + 2)	; 4c
		bit	7,a		; 2c
	MEND

	; COPY

	MACRO	CHECK_COPY_KEY
		ld	a,(keymap + 1)	; 4c
		bit	1,a		; 2c
	MEND

	; ENTER

	MACRO	CHECK_ENTER_KEY
		ld	a,(keymap + 0)	; 4c
		bit	6,a		; 2c
	MEND

	; SPACE

	MACRO	CHECK_SPACE_KEY
		ld	a,(keymap + 5)	; 4c
		bit	7,a		; 2c
	MEND

	; CURSOR DOWN

	MACRO	CHECK_CURSOR_DOWN_KEY
		ld	a,(keymap + 0)	; 4c
		bit	2,a		; 2c
	MEND

	; CURSOR UP

	MACRO	CHECK_CURSOR_UP_KEY
		ld	a,(keymap + 0)	; 4c
		bit	0,a		; 2c
	MEND

	; CURSOR LEFT

	MACRO	CHECK_CURSOR_LEFT_KEY
		ld	a,(keymap + 1)	; 4c
		bit	0,a		; 2c
	MEND

	; CURSOR RIGHT

	MACRO	CHECK_CURSOR_RIGHT_KEY
		ld	a,(keymap + 0)	; 4c
		bit	1,a		; 2c
	MEND

	; O

	MACRO	CHECK_O_KEY
		ld	a,(keymap + 4)	; 4c
		bit	2,a		; 2c
	MEND

	; P

	MACRO	CHECK_P_KEY
		ld	a,(keymap + 3)	; 4c
		bit	3,a		; 2c
	MEND

	; Q

	MACRO	CHECK_Q_KEY
		ld	a,(keymap + 8)	; 4c
		bit	3,a		; 2c
	MEND

	; A

	MACRO	CHECK_A_KEY
		ld	a,(keymap + 8)	; 4c
		bit	5,a		; 2c
	MEND

	; M

	MACRO	CHECK_M_KEY
		ld	a,(keymap + 4)	; 4c
		bit	6,a		; 2c
	MEND

	; SHIFT

	MACRO	CHECK_SHIFT_KEY
		ld	a,(keymap + 2)	; 4c
		bit	5,a		; 2c
	MEND

	; \

	MACRO	CHECK_BACKWARD_SLASH_KEY
		ld	a,(keymap + 2)	; 4c
		bit	6,a		; 2c
	MEND

	; Y

	MACRO	CHECK_Y_KEY
		ld	a,(keymap + 5)	; 4c
		bit	3,a		; 2c
	MEND

	; N

	MACRO	CHECK_N_KEY
		ld	a,(keymap + 5)	; 4c
		bit	6,a		; 2c
	MEND
